# This package installs binaries of different ISA's at the same time.
# Follow the Debian package to set it noarch and bypass binaries-in-noarch check.
%global _binaries_in_noarch_packages_terminate_build   0

Name:           arch-test
Version:        0.18
Release:        1%{?dist}
Summary:        Tools to detect architectures runnable by your machine+kernel

License:        MIT
URL:            https://github.com/kilobyte/arch-test
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  binutils-riscv64-linux-gnu
BuildRequires:  binutils-aarch64-linux-gnu
BuildRequires:  binutils-alpha-linux-gnu
BuildRequires:  binutils-arc-linux-gnu
BuildRequires:  binutils-arm-linux-gnu
BuildRequires:  binutils-avr32-linux-gnu
BuildRequires:  binutils-bfin-linux-gnu
BuildRequires:  binutils-c6x-linux-gnu
BuildRequires:  binutils-cris-linux-gnu
BuildRequires:  binutils-frv-linux-gnu
BuildRequires:  binutils-h8300-linux-gnu
BuildRequires:  binutils-hppa-linux-gnu
BuildRequires:  binutils-hppa64-linux-gnu
BuildRequires:  binutils-ia64-linux-gnu
BuildRequires:  binutils-m32r-linux-gnu
BuildRequires:  binutils-m68k-linux-gnu
BuildRequires:  binutils-metag-linux-gnu
BuildRequires:  binutils-microblaze-linux-gnu
BuildRequires:  binutils-mips64-linux-gnu
BuildRequires:  binutils-mn10300-linux-gnu
BuildRequires:  binutils-nios2-linux-gnu
BuildRequires:  binutils-openrisc-linux-gnu
BuildRequires:  binutils-powerpc64-linux-gnu
BuildRequires:  binutils-powerpc64le-linux-gnu
BuildRequires:  binutils-ppc64-linux-gnu
BuildRequires:  binutils-ppc64le-linux-gnu
BuildRequires:  binutils-s390x-linux-gnu
BuildRequires:  binutils-score-linux-gnu
BuildRequires:  binutils-sh-linux-gnu
BuildRequires:  binutils-sparc64-linux-gnu
BuildRequires:  binutils-tile-linux-gnu
BuildRequires:  binutils-x86_64-linux-gnu
BuildRequires:  binutils-xtensa-linux-gnu
BuildArch:      noarch

%description
This tool will tell you "can your machine+kernel run architecture X?".

The check is for the ability to run machine code and supporting appropriate
syscall ABI, not for the presence of userland libraries.  IE, a positive
answer means you can use a chroot or container of that architecture, add it
to your multiarch set, etc, but doesn't mean you can currently run non-static
binaries without installing required libraries.

%prep
%autosetup


%build
%configure
%make_build


%install
%make_install PREFIX=%{_prefix}
chmod 644 %{buildroot}%{_mandir}/man1/*

%files
%license LICENSE
%doc README
%{_bindir}/*
%{_prefix}/lib/*
%{_mandir}/man1/*


%changelog
* Sun Apr 10 2022 Robin Lee <cheeselee@fedoraproject.org> - 0.18-1
- Inittial packaging
